<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarText">
    <ul class="navbar-nav mr-auto">
      <li>
        <a class="nav-link" routerLink="" ><mat-icon> home</mat-icon></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLinkActive="active"  routerLink="professor"><mat-icon> face</mat-icon>Professor</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLinkActive="active" routerLink="project"><mat-icon> book</mat-icon>Project</a>
      </li>
      <li class="nav-item">
        <!-- Mostrar solo si el usuario no esta logueado -->
        <a class="nav-link" routerLink="login" routerLinkActive="active" *ngIf="!authService.isAuthenticated"><mat-icon> login</mat-icon>Login</a>
      </li>
      <li class="nav-item">
        <!-- Mostrar solo si el usuario esta logueado -->
        <a class="nav-link" (click)="logout()" *ngIf="authService.isAuthenticated"><mat-icon> exit_to_app</mat-icon>Logout</a>
      </li>
    </ul>
  </div>
</nav>
<br/>
<div class="container">
  <div class="row">
    <div class="col-md-12">
      <!--Lugar donde se cargarán las alertas -->
      <app-alert></app-alert>
      <!--Lugar donde se cargará el breadcrumb -->
      <app-breadcrumb></app-breadcrumb>
      <!-- Lugar donde se cargaran los componentes -->
      <router-outlet></router-outlet>
    </div>
  </div>
</div>
